curl --request GET \
--url https://api.soharhealth.com/v1/pulse/{pulseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soharhealth.com/v1/pulse/{pulseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soharhealth.com/v1/pulse/{pulseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soharhealth.com/v1/pulse/{pulseId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.soharhealth.com/v1/pulse/{pulseId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.soharhealth.com/v1/pulse/{pulseId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soharhealth.com/v1/pulse/{pulseId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pulseId": "fb701ac1-1246-4860-b1ec-bd916b97a991",
"id": "123456",
"status": "complete.active",
"statusReason": "INACTIVE",
"plan": {
"name": "OPEN CHOICE",
"insuranceTypeCode": "HM",
"startDate": "09/20/2023",
"endDate": "09/20/2023"
},
"payer": {
"id": "60054",
"name": "Aetna"
},
"group": {
"number": "123456",
"name": "ACME CORPORATION"
},
"patient": {
"memberId": "00000000"
},
"benefits": [
{
"networkStatus": "inn",
"deductibles": [
{
"total": 1000,
"remaining": 847.56,
"coverageLevelCode": "IND"
}
],
"outOfPockets": [
{
"total": 10000,
"remaining": 5103.21,
"coverageLevelCode": "IND"
}
]
}
]
}{
"error": "invalid_request_error"
}{
"error": "invalid_request_error"
}{
"error": "Too many requests"
}Get Pulse
curl --request GET \
--url https://api.soharhealth.com/v1/pulse/{pulseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soharhealth.com/v1/pulse/{pulseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soharhealth.com/v1/pulse/{pulseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soharhealth.com/v1/pulse/{pulseId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.soharhealth.com/v1/pulse/{pulseId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.soharhealth.com/v1/pulse/{pulseId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soharhealth.com/v1/pulse/{pulseId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pulseId": "fb701ac1-1246-4860-b1ec-bd916b97a991",
"id": "123456",
"status": "complete.active",
"statusReason": "INACTIVE",
"plan": {
"name": "OPEN CHOICE",
"insuranceTypeCode": "HM",
"startDate": "09/20/2023",
"endDate": "09/20/2023"
},
"payer": {
"id": "60054",
"name": "Aetna"
},
"group": {
"number": "123456",
"name": "ACME CORPORATION"
},
"patient": {
"memberId": "00000000"
},
"benefits": [
{
"networkStatus": "inn",
"deductibles": [
{
"total": 1000,
"remaining": 847.56,
"coverageLevelCode": "IND"
}
],
"outOfPockets": [
{
"total": 10000,
"remaining": 5103.21,
"coverageLevelCode": "IND"
}
]
}
]
}{
"error": "invalid_request_error"
}{
"error": "invalid_request_error"
}{
"error": "Too many requests"
}Authorizations
Include an OAuth 2.0 bearer token in the Authorization header. See Authentication.
Response
A pulse
The Sohar ID for the request
"fb701ac1-1246-4860-b1ec-bd916b97a991"
An optional identifier for the pulse. This is a user-defined value that can be used when creating the pulse
"123456"
Describes the status of the request
"complete.active"
Reason for the pulse status when status is "complete.inactive" or "error.payer". INACTIVE indicates coverage is inactive, NON_COVERED indicates coverage is active but the requested service type is not covered, CONTACT_PAYER_REQUIRED indicates the pulse requires manual payer contact, CONTACT_PAYER_REQUIRED indicates the verification is pending but requires manual payer contact when manual resolution is not enabled, ACTIVE_PENDING_INVESTIGATION indicates coverage is active but further investigation is required to determine eligibility (ie premium not paid), REFERRAL_REQUIRED indicates the requested service requires a referral.
INACTIVE, NON_COVERED, CONTACT_PAYER_REQUIRED, ACTIVE_PENDING_INVESTIGATION, REFERRAL_REQUIRED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes